### Hierarchy

- Suggestion

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec
- TYPE

### Methods

- render

## Constructors

### constructor

- new Suggestion(spec: ISpecification): Suggestion

- - Defined in lib/renderable/suggestion/index.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Suggestion

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/suggestion/index.ts:14

### Static TYPE

TYPE: "suggestion" = "suggestion"

- Defined in lib/renderable/suggestion/index.ts:12

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/suggestion/index.ts:23

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc